AbstractBaseJavaEntity
Date: 2017-03-29

com.thoughtworks.qdox.model

## Class AbstractBaseJavaEntity

- java.lang.Object
- - com.thoughtworks.qdox.model.AbstractBaseJavaEntity

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AbstractJavaEntity, JavaPackage, JavaParameter

      public class AbstractBaseJavaEntity
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `name`
    `protected JavaClassParent` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBaseJavaEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Annotation[]` | `getAnnotations()`
    `int` | `getLineNumber()`
    `java.lang.String` | `getName()`
    `JavaClassParent` | `getParent()` Deprecated.
    `JavaClass` | `getParentClass()` Not every entity has a parentClass, but AnnotationFieldRef requires access to it.
    `void` | `setAnnotations(Annotation[] annotations)`
    `void` | `setLineNumber(int lineNumber)`
    `void` | `setName(java.lang.String name)`
    `void` | `setParent(JavaClassParent parent)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

    - #### parent

          protected JavaClassParent parent

  - ### Constructor Detail

    - #### AbstractBaseJavaEntity

          public AbstractBaseJavaEntity()

  - ### Method Detail

    - #### getLineNumber

          public int getLineNumber()

    - #### getName

          public java.lang.String getName()

    - #### getAnnotations

          public Annotation[] getAnnotations()

    - #### setName

          public void setName(java.lang.String name)

    - #### setAnnotations

          public void setAnnotations(Annotation[] annotations)

    - #### setLineNumber

          public void setLineNumber(int lineNumber)

    - #### getParent

          public JavaClassParent getParent()

      Deprecated.
      Returns:

    - #### setParent

          public void setParent(JavaClassParent parent)

      Deprecated.
      Parameters:
        `parent` -

    - #### getParentClass

          public JavaClass getParentClass()

      Not every entity has a parentClass, but AnnotationFieldRef requires access to it. When used with JavaClass, don't confuse this with getSuperClass()
      Returns:
        the surrounding class